function string.split (str, sep) -- Split string
	local return_array = {}
	for v in string.gmatch(str, "([^"..sep.."]+)") do
		return_array[#return_array+1] = v
	end
	return return_array
end
function string.fromHex (str) -- FF32FF32 -> string
	local nStr = ""
	for i=1, #str/2 do
		local nDex = (i-1)*2
		local nnStr = string.char(tonumber(str:sub(nDex+1,nDex+2),16))
		nStr=nStr..nnStr
	end
	return nStr
end
dictionaryContents = require("fontAwesome") -- Place in the dictionary or load it from a file. Whichever works best.
dictLines = string.split(dictionaryContents,"\n") -- You can get a string splitting function from stack overflow for lua.
fontAwesome = {}
fa_font = love.graphics.newFont("fontAwesome-webfont.ttf",24)
for i=1, #dictLines do
local lineSplit = string.split(dictLines[i],":")
fontAwesome[lineSplit[1]]=string.fromHex(lineSplit[2])
end

 
function love.draw ()
love.graphics.setFont(fa_font)-- Grab the font from fontawesome.io
love.graphics.print(fontAwesome["fa-heartbeat"],0,0)
love.graphics.setFont(love.graphics.newFont(24))
love.graphics.print("Font-Awesome is working!",0,28)
end

-- Font Awesome by Dave Gandy - http://fontawesome.io
-- This project is not affiliated with Dave Gandy, but this notice is to thank him for his work.